summaryrefslogtreecommitdiffstats
path: root/utils/nwztools/upgtools/make_release.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/nwztools/upgtools/make_release.sh')
-rwxr-xr-xutils/nwztools/upgtools/make_release.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/utils/nwztools/upgtools/make_release.sh b/utils/nwztools/upgtools/make_release.sh
new file mode 100755
index 0000000000..2c72048767
--- /dev/null
+++ b/utils/nwztools/upgtools/make_release.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+if [ $# -ne 1 ];
+then
+ echo "usage: $0 version"
+ exit 1
+fi
+
+ver="$1"
+echo "version: $ver"
+
+echo "Building windows version..."
+make PREFIX=i686-w64-mingw32- EXE_EXT=.exe clean && make PREFIX=i686-w64-mingw32- EXE_EXT=.exe && cp upgtool.exe upgtool-v${ver}.exe
+echo "Building linux version..."
+make clean && make && cp upgtool upgtool_64-v${ver}